include:
  - project: 'singletonsd/pipelines/npm'
    file: '/src/.gitlab-ci-test-dynamic.yml'
  - project: 'singletonsd/pipelines/npm'
    file: '/src/.gitlab-ci-test-static.yml'
  - project: 'singletonsd/pipelines/npm'
    file: '/src/.gitlab-ci-common.yml'

stages:
  - install
  - test_static
  - build
  - test_dynamic
  - release
  - package
